#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	DBD
%define		pnam	ODBC
Summary:	DBD::ODBC - ODBC Driver for DBI
Summary(pl.UTF-8):	DBD::ODBC - sterownik DBI do ODBC
Name:		perl-DBD-ODBC
Version:	1.60
Release:	8
# GPL or Artistic as specified in perl README file
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e9a2bec96744f960832e4f47f9e4bcd0
URL:		http://search.cpan.org/dist/DBD-ODBC/
BuildRequires:	perl-DBI >= 1.21
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	unixODBC-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		__noautoreqfiles	Changes.pm FAQ.pm TO_DO.pm

%description
DBD::ODBC is DBD module interfacing the ODBC databases.

%description -l pl.UTF-8
DBD::ODBC jest modułem DBD komunikującym się z bazami danych z użyciem
ODBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
# pass PERL_MM_USE_DEFAULT to avoid threads warning prompt
PERL_MM_USE_DEFAULT=1 \
%{__perl} Makefile.PL \
	-o /usr \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_tests:%{__make} test}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DBD/ODBC.pm
%{perl_vendorarch}/DBD/ODBC
%dir %{perl_vendorarch}/auto/DBD/ODBC
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/ODBC/ODBC.so
%{_mandir}/man3/DBD::ODBC.3pm*
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBD-ODBC.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 87ef157
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 4543ed5
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> aa5260a
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 02e4514
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 75c8252
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3301251
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> cc3998b
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Sat Nov 23 2019 Jan Rękorajski <baggins@pld-linux.org> 1b1d49c
- don't generate deps from internal docs
- rel 2

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cae668
- up to 1.60

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 4cb5804
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b795ec1
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e4b498b
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 89de3db
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 85a3ee6
- updated to 1.52

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7c919d7
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 56a6bf6
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> a06067c
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f202b25
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 87c5dbe
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 6b5a8be
- up to 1.43

